## Development

- `npm install`, the postinstall runs
  - `npm run rebuild`
    - might need to install some build tools depending on your platform
  - `npm run typeorm:migrate` for installing the database
- `npm run tsc` for backend
- `npm run webpack` for frontend
- `npm dev`

### Database Migrations

Migrations are stored in [src/main/migrations](src/main/migrations) and handled by typeorm.

To auto-generate a migration:  
`node_modules/.bin/typeorm migration:generate -n <migration name> -c <connection name>`

To create an empty creation which can be filled with custom migration code:  
`node_modules/.bin/typeorm migration:create -n <migration name> -c <connection name>`

To run migrations:  
`node_modules/.bin/typeorm migration:run -c <connection name>`  
This is also pre-defined in the npm script `typeorm:migrate`.
